<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="graph_data_structure">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>graph_data_structure</refname>
    <refpurpose> description of the main graph data structure</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para> A graph in Scilab is represented by a Scilab typed list with type  <literal>graph</literal> and  5 fields:</para>
    <itemizedlist>
      <listitem>
        <para><literal>version</literal>a simple string which contains the graph data structure version identifier.</para>
      </listitem>
      <listitem>
        <para><literal>name </literal>a simple string which contains the graph name.</para>
      </listitem>
      <listitem>
        <para><literal>directed</literal>a number with possible values 0 and 1.
	The value 1 means that the graph edges are oriented.</para>
      </listitem>
      <listitem>
        <para><literal>nodes</literal> A Scilab mlist data structure, 
	which stores the information relative to nodes (see <link linkend="nodes_data_structure">nodes_data_structure</link>).</para>
      </listitem>
      <listitem>
        <para><literal>edges</literal> A Scilab mlist data structure, 
	which stores the information relative to edges (see <link linkend="edges_data_structure">edges_data_structure</link>).</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
//create a simple graph
ta=[1  1 2 7 8 9 10 10 10 10 11 12 13 13];
he=[2 10 7 8 9 7  7 11 13 13 12 13  9 10];
g=make_graph('simple',1,13,ta,he);
g.nodes.graphics.x=[40,33,29,63,146,233,75,42,114,156,237,260,159];
g.nodes.graphics.y=[7,61,103,142,145,143,43,120,145,18,36,107,107];
show_graph(g,'new')

g
g.name
g.directed
g.nodes(1:3)
g.edges(1:5)
hilite_nodes(1:3)
hilite_edges(1:5)
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="edit_graph">edit_graph</link>
      </member>
      <member>
        <link linkend="make_graph">make_graph</link>
      </member>
      <member>
        <link linkend="show_graph">show_graph</link>
      </member>
      <member>
        <link linkend="check_graph">check_graph</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
